<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
   		
      	<!-- active menu with link-->
        <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
					<td align="center" valign="top">
            <table border="0" height="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td align="center" height="22"><a href="{@HREF}"><img src="images/bullet3.gif" width="9" height="9" border="0"/></a></td>
              </tr>
              <tr>
                <td align="center" ><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              </tr>
              <tr>
              	<td height="9"></td>
              </tr>              
            </table>					
					</td>
					
				</xsl:when>

        <!-- active menu without link-->
        <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
					<td align="center" valign="top">
            <table border="0" height="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td align="center" height="22"><img src="images/bullet2.gif" width="9" height="9" border="0"/></td>
              </tr>
              <tr>
                <td align="center"><span class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
              </tr>
              <tr>
              	<td height="9"></td>
              </tr>
            </table>					
					</td>
       </xsl:when>

        <xsl:otherwise>
					<td align="center" valign="top">
            <table border="0" height="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td align="center" height="22"><a href="{@HREF}"><img src="images/bullet1.gif" width="9" height="9" border="0"/></a></td>
              </tr>
              <tr>
                <td align="center"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              </tr>
              <tr>
              	<td height="9"></td>
              </tr>
            </table>					
					</td>
        </xsl:otherwise>
        
	    </xsl:choose>
		<xsl:if test="position()!=last()">
			<td width="1" height="45" align="center" style="background:url(images/topmenu_bg2.gif) no-repeat bottom;"></td>
		</xsl:if>
		
	</xsl:template>	
	
	<xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
			 	<tr>
					<td width="25" align="center"><img src="images/submenu_bullet.gif" width="14" height="11" /></td>
					<td height="28"><span href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
				</tr>                 
			</xsl:when>
      
      <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td width="25" align="center"><img src="images/submenu_bullet.gif" width="14" height="11" /></td>
					<td height="28"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
				</xsl:if>
      </xsl:otherwise>
		</xsl:choose>
		
		<xsl:if test="position()!=last()">
				<tr>
					 <td colspan="2" bgcolor="#397b9a"></td>
				</tr>		
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>